// file: $USFS/class/ppm/v1.0/ppm_cstr_0.cc
//

// isip include files
//
#include "ppm.h"

// method: default destructor
//
// arguments: none
//
// return: none
//
Ppm::~Ppm() {

  // clean up
  //
  if (fname_d != (char_1*)NULL) {
    delete [] fname_d;
  }

  if (fp_d != (FILE*)NULL) {
    error_handler_cc((char_1*)"~Ppm",
		     (char_1*)"there appears to be an open file");
  }
  
  if (magic_number_d != (char_1*)NULL) {
    delete [] magic_number_d;
  }

  // return
  //
}
